Merge pie-platform-release to aosp-master - DO NOT MERGE

Change-Id: Ibc78125534242c01a80dd32dabb50fc1cbc8e7cb
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index a2d81ca..fdcb442 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,8 +101,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q dtbo.sig \$(which fastboot); then
-  echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+  echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
 EOF
@@ -258,8 +258,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q dtbo.sig \$(which fastboot); then
-  echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+  echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
 EOF
diff --git a/generate-packages.sh b/generate-packages.sh
index 5b18aa6..2f3e9c3 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -42,7 +42,7 @@
   FILEDIR_ROOT=tmp/vendor/$MANUFACTURER/$ROOTDEVICE
 
   case ${ROOTDEVICE} in
-    dragon|marlin|sailfish|taimen|walleye)
+    dragon|marlin|sailfish|taimen|walleye|crosshatch|blueline)
       FILEDIR_ROOT=tmp/vendor/${MANUFACTURER}_devices/$ROOTDEVICE ;;
     hikey960)
       FILEDIR=tmp/vendor/linaro/$DEVICE/$COMPANY/proprietary
@@ -166,6 +166,16 @@
     # Move device-vendor-walleye.mk under muskie directory so that it can be
     # inherited by device/google/muskie/aosp_walleye.mk
     mv ${FILEDIR_ROOT}/proprietary/device-vendor-walleye.mk ${FILEDIR_ROOT_SHARE}
+  elif [[ ${ROOTDEVICE} == blueline ]]
+  then
+    FILEDIR_ROOT_SHARE=tmp/vendor/${MANUFACTURER}_devices/crosshatch/proprietary
+    mkdir -p ${FILEDIR_ROOT_SHARE}
+
+    # blueline shares BoardConfigVendor.mk with its neph' crosshatch
+    mv ${FILEDIR_ROOT}/proprietary/BoardConfigVendor.mk ${FILEDIR_ROOT_SHARE}
+    # Move device-vendor-blueline.mk under crosshatch directory so that it can
+    # be inherited by device/google/crosshatch/aosp_blueline.mk
+    mv ${FILEDIR_ROOT}/proprietary/device-vendor.mk ${FILEDIR_ROOT_SHARE}
   fi
 
   echo \ \ Generating self-extracting script
diff --git a/populate-new-device.sh b/populate-new-device.sh
index 09bfd8d..db5da3d 100755
--- a/populate-new-device.sh
+++ b/populate-new-device.sh
@@ -24,26 +24,6 @@
 mkdir -p device/$1/$2-kernel
 mkdir -p vendor/$1/$2
 
-cat > device/$1/$2/vendorsetup.sh << EOF
-#
-# Copyright 2014 The Android Open Source Project
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#      http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-add_lunch_combo full_$2-userdebug
-EOF
-
 cat > device/$1/$2/AndroidProducts.mk << EOF
 #
 # Copyright 2014 The Android Open-Source Project
@@ -62,6 +42,8 @@
 #
 
 PRODUCT_MAKEFILES := \$(LOCAL_DIR)/full_$2.mk
+
+COMMON_LUNCH_CHOICES := full_$2-userdebug
 EOF
 
 cat > device/$1/$2/full_$2.mk << EOF